#ifndef EDDITPROFILEDIALOG_H
#define EDDITPROFILEDIALOG_H

#include <QDialog>
#include <profile.h>
#include "../cameras.h"

namespace Ui {
class EditProfileDialog;
}

class EditProfileDialog : public QDialog
{
	Q_OBJECT
	Profile profile_;
	Cameras* cameras_;

	bool setConfigured();
	void invalidateCameras();

private slots:
	void setMask();
	void configureCamera();
	void loadCalcurve();
	void loadLightmap();

public slots:
	virtual void accept() override;

public:
	explicit EditProfileDialog(Cameras* cameras, const Profile profile = Profile(), QWidget *parent = nullptr);
	Profile getProfile(){return profile_;}
	~EditProfileDialog();

private:
	Ui::EditProfileDialog *ui;
};

#endif // EDDITPROFILEDIALOG_H
